<?php
/***************************************************************************************
 *											*
 *   	Copyright 2006 by Davide Simoncelli                                      	*
 *   	Email: netcelli_gentoo at users dot sourceforge dot net                      	*
 *                                                                         		*
 *   	This program is free software; you can redistribute it and/or			*
 *	modify it under the terms of the GNU General Public License			*
 *	as published by the Free Software Foundation; either version 2			*
 *	of the License, or (at your option) any later version.				*
 *											*
 *	This program is distributed in the hope that it will be useful,			*
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of			*
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the			*
 *	GNU General Public License for more details.					*
 *											*
 *	You should have received a copy of the GNU General Public License		*
 *	along with this program; if not, write to the Free Software			*
 *	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.	*	
 *											*
 ****************************************************************************************/
//error_reporting(E_ALL);
ob_start();

/* Enable magic_quotes_gpc */

ini_set("magic_quotes_gpc","1");

/* Start the session */
session_start(); 

/* Inclusion of some stuff like classes and config file */
//require_once('./inc/class.php');
require_once('./help/helppage.php');
require_once('./inc/MySQL.class.php');
require_once('./inc/Verlidb.class.php');
require_once('./inc/Language.class.php');
require_once('./inc/User.class.php');
require_once('./inc/Utility.class.php');
require_once('./inc/Managment.class.php');
require_once('./inc/Template.class.php');
require_once('./config.php');


//$verlihub = new Verlihub;
MySQL::dbConnect();
$ips = Verlidb::VHCP_config('access');
if ($ips=='all') $access = array(Verlidb::VHCP_config('access'));
else
{
	$i = 0;
	$ip = explode(",",$ips);
	foreach ($ip as $val)
	{
		++$i;
		$access[$i] = $val;
	}
}
//Utility::checkAccess($access);
$lang = new Language();

$classes = array(-1=>$lang->getWord('pinger'),0=>$lang->getWord('guest'),1=>$lang->getWord('regged'),2=>$lang->getWord('vip'),3=>$lang->getWord('op'),4=>$lang->getWord('cheef'),5=>$lang->getWord('admin'),10=>$lang->getWord('master'));
$values = array(1=>$lang->getWord('enable'),0=>$lang->getWord('disable'));
$flags = array(1=>$lang->getWord('flag1'),2=>$lang->getWord('flag2'),4=>$lang->getWord('flag3'),8=>$lang->getWord('flag4'),16=>$lang->getWord('flag5'),32=>$lang->getWord('flag6'),64=>$lang->getWord('flag7'));

/* Old config settings moved to the db */
$backup = Verlidb::VHCP_config('backup');
$lua_man = Verlidb::VHCP_config('upload_lua');
$vcd = Verlidb::VHCP_config('verli_path');

$page_name = isset($_GET['page']) ? $_GET['page'] : (!isset($_SESSION['verliadmin']) ? 'start' : 'start'); 

$nick = isset($_SESSION['verliadmin']) ? $_SESSION['verliadmin'] : '`Not logged in`';
$user = new User();
if(isset($_SESSION['verliadmin']))
{
	$nick = $_SESSION['verliadmin'];
	//$user = new User($nick);
	$user->setNick($nick);
	
	$class = $user->getClass();
	$user->setClass($class);
}
else
{
	//$user = new User();
	$class = 0;
}

define("USER_CLASS",$class);
define("USER_NICK",$nick);

if(isset($_GET['post']) && count($_POST)>0)
{
	require_once("./inc/post.php");
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<LINK REL="shortcut icon" HREF="favicon.ico"/>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>VerliHub Control Panel for <?=Verlidb::getConfig("hub_name");?> - <?=VERSION?></title>
<style type="text/css">
<!--
@import "inc/css/style.css";
@import "inc/css/menu.css";

-->
</style>
</head>
<script type="text/javascript" src="./inc/js/jquery.js"></script> 
<script type="text/javascript" src="./inc/js/function.js"></script> 
<script type="text/javascript" src="./inc/js/goods.js"></script> 
<script type="text/javascript" src="./inc/js/menu.js"></script>

<body>
<h3><div align="center"><img src="img/logo.png" height="100" width="100" alt="100" /><br>VerliHub Control Panel for <?=Verlidb::getConfig("hub_name");?></h3><br /></div>

<?php
echo "<span style=\"color:#8C6E51;\">".$lang->getWord('class').":</span> ".$classes[USER_CLASS]." (".USER_CLASS.") <strong>|</strong> <span style=\"color:#8C6E51;\">".$lang->getWord('nick').":</span> ".USER_NICK."  <strong>|</strong> <span style=\"color:#8C6E51;\">".$lang->getWord('lang')."</span>: ".$lang->getWord('language')." <br /><br /> ";
$lang->printLanguage();
echo "<br /><br />";

/* Show the main menu*/
Utility::printMenu();
$working_page = array("editreplacer","login","deletefiletrigger","addconntype","addforbid","editmessage","deletebanlist","editconntype","info","spamkillerlist","upload","addspamtrigs","forbid","editisp","addmessage","addezeconn","editezeconn","conversion","deleteuser","forbid_settings","filetrigger","addjunks","edittthcoll","plugman","stats","simple_settings","editforbid","index","deleteisp","settings","adduser","deleteezeconn","update","deleteconntype","lang","deleteforbid","conntype","isp_settings","reglist","banlist","edituser","luawrite","start","vhcp_setting","editlang","log","deletechat","addplugin","deletejunks","deletereplacer","ezeconn","messanger","junks","delete","deleteunbanlist","deletekicklist","uploaded","editfiletrigger","luaremove","addchat","luascript","chatroom","tthcoll","addtth","addreplacer","old_settings","deleteplugin","editchatroom","backup","unbanlist","logout","deletemsg","iplog","searchisp","editjunks","mysql","addfiletrigger","isp","kicklist","addisp","luaman","deletetthcoll","editplugin","replacer","luadelete","deletebackup","ezechiele_settings");
if(!in_array($page_name,$working_page)) Utility::error('The page you are trying to load doesn\'t exist',true);
require_once("./pages/$page_name.php");

echo "\n<br /><div align=\"center\" style=\"width:550px;color:#AAA;\">VerliHub Control Panel v ".VERSION." Project by XngR and developed by netcelli <br> <a href=\"http://vhcp.verlihub-project.org/\">VHCP Home</a> -- <a href=\"?page=update\">".$lang->getWord('update')."</a>"; 
echo " -- <a href=\"http://www.verlihubforums.com/forumdisplay.php?f=35\">".$lang->getWord('bug')."</a> -- <a href=\"http://sourceforge.net/donate/index.php?group_id=158804\">".$lang->getWord('donate')."</a><br>";
?>
</body>
</html>